%global momorel 2
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 9aafae574623d173c454357e0afa0b12

Summary: Back up your data in a simple, user friendly way
Name: kbackup
Version: 0.5.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kde-apps.org/content/show.php?content=44998
Group: Applications/Archiving
%NoSource 0 http://www.kde-apps.org/CONTENT/content-files/44998-%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}.fr.po.patch
Patch2: %{name}-%{version}.docbook-fr.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils

%description
KBackup is a program that lets you back up any directories or files,
whereby it uses an easy to use directory tree to select the things to back up.
The program was designed to be very simple in its use
so that it can be used by non-computer experts.
The storage format is the well known TAR format, whereby the data
is still stored in compressed format (bzip2 or gzip).

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p0 -b .fr-po
%patch2 -p0 -b .fr-doc

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

# make -j4 doesn't work (kbackup-0.5.1-1m and make-3.81-2m)
# make %{?_smp_mflags}
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/kbackup.png %{buildroot}%{_datadir}/pixmaps/kbackup.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category X-SuSE-Backup \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/kbackup.desktop

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in de fr ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/kbackup
%{_datadir}/applications/kde/kbackup.desktop
%{_datadir}/apps/kbackup
%{_datadir}/doc/HTML/*/kbackup
%{_datadir}/icons/*/*/*/kbackup.png
%{_datadir}/locale/*/LC_MESSAGES/kbackup.mo
%{_datadir}/mimelnk/text/x-kbp.desktop
%{_datadir}/pixmaps/kbackup.png

%changelog
* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-2m)
- use make, make %%{?_smp_mflags} doesn't work with make-3.81-2m

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-1m)
- initial package for Momonga Linux
- fr pathces are imported from Fedora
